Patrick123

Aktives Mitglied
29. April 2020
11
0
Da es ja in der Vergangenheit nicht immer sooo ideal lief, und es auch einige Threads dazu gab, wollte ich schonmal zeitig fragen und ggf. auch Aufmerksamkeit erzeugen, damit es nicht wieder so plötzlich kommt wie Weihnachten.

In 4 Monaten endet der "active support" für php8.1. Im aktuellen Debian ist 8.2 enthalten und daran rumzufummeln ist immer fehleranfällig, insb. da es gar kein 8.0 oder 8.1 offiziell gab.
Gibt es bei JTL schon irgendeine Idee wann denn eine Shopversion mal php 8.2 unterstützen könnte?
Das wurde ja bereits vor einer Weile veröffentlich und es sind ja für Entwickler auch schon Informationen zu php8.3 öffentlich. Das entsprechende Update müsste ja so gesehen bald passieren, insb. wenn man auch noch bei JTL testen will und den Shop-Betreibern vielleicht auch noch die Möglichkeit einräumen könnte zu testen.

Oder hat vielleicht schon jemand den JTL-Shop 5.2.x mit PHP8.2 getestet und kann berichten?

Viele Grüße und vielen Dank für eure Rückmeldungen :)
 

FMoche

Moderator
Mitarbeiter
15. Dezember 2014
1.365
341
Halle (Saale)
Die kommende Version 5.2.3 ist vollständig mit PHP 8.2 kompatibel. Mit 8.3 wohl zumindest inoffiziell auch (wir können es ja bis dahin noch mit keinem Release testen) - da hat sich nicht wirklich viel geändert.